    * Encoding: UTF-8.
    
*===================================================================================*
    * TTULO DE LA SINTAXIS:*
    * Clculo: TASA DE VEHCULOS MATRICULADOS POR CADA MIL HABITANTES*
    * OPERACIN ESTADSTICA:*
    * Estadsticas de Transporte (ESTRA)
    * Anuario de Estadsticas de Transporte 2022 - Vehculos Motorizados Matriculados*
    *DIRECCIN TCNICA RESPONSABLE:*
    * Direccin de Estadsticas Econmicas (DECON)*
    * ENTIDAD EJECUTORA:*
    * Instituto Nacional de Estadstica y Censos (INEC)*
*===================================================================================*
    * Fecha de elaboracin:        11 de diciembre del 2018*
    * Fecha ltima modificacin:  13 de julio del 2023*
*===================================================================================*
    * Elaborado por:*
    * Unidad de Gestin de Estadsticas Estructurales (GESE)*.
    * Gabriela Hidalgo.
    * Jenny Borja.
    *=============================================================================*
    * Revisado por:*
    * Roberto Chaves.
    * Jefe de Gestin de Estadsticas Estructurales (GESE)*.
    * Instituto Nacional de Estadstica y Censos
    * roberto_chaves@inec.gob.ec 
    *=============================================================================*
    * Aprobado por:*
    * Diana Barco
    * Directora de Estadsticas Econmicas (DECON)
    * Instituto Nacional de Estadstica y Censos
    * diana_barco@inec.gob.ec.
*=============================================================================*
    *Instrucciones:.
    *1.- Descarga la base de datos de Vehculos Matriculados "2022_vehiculos_matriculados_bdd" en formato SPSS de la pgina 
          web del INEC (http://www.ecuadorencifras.gob.ec//transporte/).
    *2.- Guardar y abrir la base de datos "2022_vehiculos_matriculados_bdd".
    
    DATASET NAME VEHICULOS_MATRICULADOS.
    DATASET COPY VEHICULOS_MATRICULADOS.
    DATASET ACTIVATE VEHICULOS_MATRICULADOS.
    
    **********************************************************************************************************************.
    ***********TASA DE VEHCULOS MATRICULADOS POR CADA MIL HABITANTES - PROVINCIAL*********************.
    **********************************************************************************************************************.
    
    COMPUTE VEHICULOS=1.
    FORMATS VEHICULOS (F10.0).
    VARIABLE LABELS VEHICULOS 'Nmero de vehculos'.
    EXECUTE.
    
    ***Agregando la base de datos segn provincia**.
    
    DATASET DECLARE VEHICULOS.
    AGGREGATE
      /outfile='VEHICULOS'
      /break=PROVINCIA
      /VEHICULOS=SUM(VEHICULOS).
    
    DATASET ACTIVATE VEHICULOS.
    
    VARIABLE LABELS VEHICULOS 'Nmero de vehculos motorizados matriculados'.
    FORMATS VEHICULOS (F10.0).
    VARIABLE LEVEL VEHICULOS (SCALE).
    EXECUTE.
    
    IF (PROVINCIA=1) POBLACION=846045.
    IF (PROVINCIA=2) POBLACION=215936.
    IF (PROVINCIA=3) POBLACION=287095.
    IF (PROVINCIA=4) POBLACION=173115.
    IF (PROVINCIA=5) POBLACION=482765.
    IF (PROVINCIA=6) POBLACION=517999.
    IF (PROVINCIA=7) POBLACION=762792.
    IF (PROVINCIA=8) POBLACION=635274.
    IF (PROVINCIA=9) POBLACION=4672735.
    IF (PROVINCIA=10) POBLACION=489990.
    IF (PROVINCIA=11) POBLACION=520535.
    IF (PROVINCIA=12) POBLACION=1019247.
    IF (PROVINCIA=13) POBLACION=1677443.
    IF (PROVINCIA=14) POBLACION=236426.
    IF (PROVINCIA=15) POBLACION=143976.
    IF (PROVINCIA=16) POBLACION=125240.
    IF (PROVINCIA=17) POBLACION=3051300.
    IF (PROVINCIA=18) POBLACION=590595.
    IF (PROVINCIA=19) POBLACION=121151.
    IF (PROVINCIA=20) POBLACION=27791.
    IF (PROVINCIA=21) POBLACION=223438.
    IF (PROVINCIA=22) POBLACION=186435.
    IF (PROVINCIA=23) POBLACION=562444.
    IF (PROVINCIA=24) POBLACION=409139.
    EXECUTE.
    
    VARIABLE LABELS POBLACION 'Proyeccin poblacional'.
    FORMATS POBLACION (F10.0).
    VARIABLE LEVEL POBLACION (SCALE).
    EXECUTE.
    
    COMPUTE TMV= (VEHICULOS/(POBLACION/1000)).
    FORMATS TMV (F5.0).
    VARIABLE LABELS TMV 'Tasa de vehculos matriculados por cada mil habitantes'.
    EXECUTE.
    
    SORT CASES BY PROVINCIA (A).
    
    
    ***CUADRO N 16***.
    
    ****POR PROVINCIAS****.
    
    TABLES
    /OBSERVATION= VEHICULOS POBLACION TMV
    /TABLE=PROVINCIA BY VEHICULOS + POBLACION + TMV
    /STATISTICS=SUM
    /TITLE='CUADRO N 16'
                'VEHCULOS MATRICULADOS POR CADA 1000 HABITANTES, ao 2022'
                'POR PROVINCIAS'
                '(Nmero)'
    /CAPTION='Elaboracin: Instituto Nacional de Estadstica y Censos - INEC'
                     'Fuente: ANT - Agencia Nacional de Trnsito- 2022' 
                     'INEC - Proyecciones Poblacionales 2022'. 	
    
    
    
    
    **********************************************************************************************************************.
    ***********TASA DE VEHCULOS MATRICULADOS POR CADA MIL HABITANTES - NACIONAL*********************.
    **********************************************************************************************************************.
    
    *Usando base de datos "2022_vehiculos_matriculados_bdd"**.
    DATASET ACTIVATE VEHICULOS.
    
    COMPUTE TOTAL=1.
    VARIABLE LABELS TOTAL 'Nacional'.
    VALUE LABELS TOTAL 1'NACIONAL'.
    FORMATS TOTAL (F10.0).
    EXECUTE.
    
    ***Agregando la base de datos a nivel nacional***.
    DATASET DECLARE VEHICULOS_N.
    AGGREGATE
      /outfile='VEHICULOS_N'
      /break=TOTAL
      /VEHICULOS=SUM(VEHICULOS)
      /POBLACION=SUM(POBLACION).
    
    **Se modifica la Proyeccin Poblacional a nivel nacional 17.510.643, debido a que, al no existir vehculos matriculados en Zonas No Delimitadas,
    se ha omitido la poblacin de las zonas no delimitadas en la sumatoria de la Poblacin a nivel nacional.
    
    DATASET ACTIVATE VEHICULOS_N.
    
    IF (TOTAL=1) POBLACION= 17978906.
    EXECUTE.
    
    
    **Utilizacin de la base de datos agregada***.
    DATASET ACTIVATE VEHICULOS_N.
    
    VARIABLE LABELS VEHICULOS 'Nmero de vehculos motorizados matriculados'.
    FORMATS VEHICULOS (F10.0).
    EXECUTE.
    
    VARIABLE LABELS POBLACION 'Proyeccin poblacional'.
    FORMATS POBLACION (F10.0).
    EXECUTE.
    
    COMPUTE TMV=(VEHICULOS/(POBLACION/1000)).
    VARIABLE LABELS TMV 'Tasa de vehculos matriculados por cada mil habitantes'.
    FORMATS TMV (F5.0).
    EXECUTE.
    
        
    ***CUADRO N 16***.
    
    ****POR PROVINCIAS****.
    
    TABLES
    /OBSERVATION= VEHICULOS POBLACION TMV
    /TABLE=TOTAL BY VEHICULOS + POBLACION + TMV
    /STATISTICS=SUM
    /TITLE='CUADRO N 16'
                'VEHCULOS MATRICULADOS POR CADA 1000 HABITANTES, ao 2022'
                'POR PROVINCIA'
                '(Nmero)'
    /CAPTION='Elaboracin: Instituto Nacional de Estadstica y Censos - INEC'
                     'Fuente: ANT - Agencia Nacional de Trnsito- 2022' 
                     'INEC - Proyecciones Poblacionales 2022'. 	
    
    
    DATASET ACTIVATE VEHICULOS_MATRICULADOS. 
    DATASET CLOSE VEHICULOS_N.
    DATASET ACTIVATE VEHICULOS_MATRICULADOS. 
    DATASET CLOSE VEHICULOS.
    
    
    
