﻿* Encoding: UTF-8.
*************************************************************************************************************************************************
******************************INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS****************************************************
***********************************SINTAXIS CUADROS TRANSPORTE AÉREO*********************************************************************
*************************************************************************************************************************************************
**DIRECCIÓN DE ESTADÍSTICAS ECONÓMICAS.
**UNIDAD DE GESTIÓN DE ESTADÍSTICAS ESTRUCTURALES.
**FECHA: 25/07/2023


*******C26*******

*ENTRADA REGULAR PASAJEROS*

USE ALL. 
COMPUTE filter_$=(TipoVuelo = 1  &  Segmento = 1   &  Tráfico = 1  &   Movimiento = 1 ). 
VARIABLE LABELS filter_$ 'TipoVuelo = 1  &  Segmento = 1   &  Tráfico = 1  &   Movimiento = 1  '+ 
    '(FILTER)'. 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$. 
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Origen Movimiento TipoVuelo Destino TOTAL DISPLAY=LABEL 
  /TABLE Origen [C] BY Movimiento [C] > TipoVuelo [C] > Destino [C] > TOTAL [S][SUM] 
  /CATEGORIES VARIABLES=Origen Movimiento TipoVuelo ORDER=A KEY=VALUE EMPTY=EXCLUDE 
  /CATEGORIES VARIABLES=Destino ORDER=D KEY=LABEL EMPTY=EXCLUDE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: ENTRADA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.

*SALIDA REGULAR PASAJEROS*

FILTER OFF.
USE ALL.

COMPUTE filter_$=(TipoVuelo = 1  &  Segmento = 1   &  Tráfico = 1  &   Movimiento = 2 ). 
VARIABLE LABELS filter_$ 'TipoVuelo = 1  &  Segmento = 1   &  Tráfico = 1  &   Movimiento = 2  '+ 
    '(FILTER)'. 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$. 
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Destino Movimiento TipoVuelo Origen TOTAL DISPLAY=LABEL 
  /TABLE Destino [C] BY Movimiento [C] > TipoVuelo [C] > Origen [C] > TOTAL [S][SUM] 
  /CATEGORIES VARIABLES=Destino ORDER=A KEY=LABEL EMPTY=EXCLUDE 
  /CATEGORIES VARIABLES=Movimiento TipoVuelo ORDER=A KEY=VALUE EMPTY=EXCLUDE 
  /CATEGORIES VARIABLES=Origen ORDER=D KEY=LABEL EMPTY=EXCLUDE
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.


*******C27*******

FILTER OFF.
USE ALL.


STRING  Región (A50).
IF (Origen='Amsterdam') Región = 'Europa'.
IF (Origen='Asunción') Región = 'Cono Sur'.
IF (Origen='Atlanta') Región = 'Norte América'.
IF (Origen='Barranquilla') Región = 'Comunidad Andina'.
IF (Origen='Belo Horizonte (Brasil)') Región = 'Cono Sur'.
IF (Origen='Bogotá') Región = 'Comunidad Andina'.
IF (Origen='Buenos Aires') Región = 'Cono Sur'.
IF (Origen='Cali') Región = 'Comunidad Andina'.
IF (Origen='Chicago') Región = 'Norte América'.
IF (Origen='Curitiba') Región = 'Cono Sur'.
IF (Origen='Doha (Qatar)') Región = 'Asia'.
IF (Origen='El Salvador') Región = 'Centro América'.
IF (Origen='Florianopolis (Brasil)') Región = 'Cono Sur'.
IF (Origen='Fort Lauderdale') Región = 'Norte América'.
IF (Origen='Guatemala (La Aurora)') Región = 'Centro América'.
IF (Origen='Houston') Región = 'Norte América'.
IF (Origen='Lima') Región = 'Comunidad Andina'.
IF (Origen='Louisville (Estados Unidos)') Región = 'Norte América'.
IF (Origen='Luxemburgo') Región = 'Europa'.
IF (Origen='Madrid') Región = 'Europa'.
IF (Origen='Manaos') Región = 'Cono Sur'.
IF (Origen='México') Región = 'Norte América'.
IF (Origen='Miami') Región = 'Norte América'.
IF (Origen='New York') Región = 'Norte América'.
IF (Origen='Panamá') Región = 'Centro América'.
IF (Origen='Río Negro') Región = 'Comunidad Andina'.
IF (Origen='San José') Región = 'Centro América'.
IF (Origen='Santiago') Región = 'Cono Sur'.
IF (Origen='Santo Domingo (Rep.  Dominicana)') Región = 'Centro América'.
IF (Origen='Sao Paulo') Región = 'Cono Sur'.
IF (Origen='Toronto') Región = 'Norte América'.
IF (Origen='Viracopos') Región = 'Cono Sur'.
IF (Destino='Aguadilla') Región = 'Centro América'.
IF (Destino='Amsterdam') Región = 'Europa'.
IF (Destino='Aruba') Región = 'Centro América'.
IF (Destino='Atlanta') Región = 'Norte América'.
IF (Destino='Barranquilla') Región = 'Comunidad Andina'.
IF (Destino='Buenos Aires') Región = 'Cono Sur'.
IF (Destino='Curacao') Región = 'Centro América'.
IF (Destino='Doha (Qatar)') Región = 'Asia'.
IF (Destino='Dubai') Región = 'Asia'.
IF (Destino='El Salvador') Región = 'Centro América'.
IF (Destino='Fort Lauderdale') Región = 'Norte América'.
IF (Destino='Frankfurt') Región = 'Europa'.
IF (Destino='Houston') Región = 'Europa'.
IF (Destino='Liege (Bélgica)') Región = 'Europa'.
IF (Destino='Lima') Región = 'Comunidad Andina'.
IF (Destino='Maastricht ') Región = 'Europa'.
IF (Destino='Madrid') Región = 'Europa'.
IF (Destino='Medellin') Región = 'Comunidad Andina'.
IF (Destino='Miami') Región = 'Norte América'.
IF (Destino='New York') Región = 'Norte América'.
IF (Destino='Ostende (Bélgica)') Región = 'Europa'.
IF (Destino='Santiago') Región = 'Cono Sur'.
IF (Destino='Santo Domingo (Rep.  Dominicana)') Región = 'Centro América'.
IF (Destino='Toronto') Región = 'Norte América'.
IF (Destino='Viracopos') Región = 'Cono Sur'.
IF (Destino='Viru Viru') Región = 'Comunidad Andina'.
IF (Destino='Bogotá') Región = 'Comunidad Andina'.
IF (Destino='Los Ángeles') Región = 'Norte América'.
IF (Destino='México') Región = 'Norte América'.
IF (Destino='Panamá') Región = 'Centro América'.
IF (Destino='San José') Región = 'Centro América'.
execute.

*ENTRADA DE PASAJEROS*

USE ALL. 
COMPUTE filter_$=(Segmento=1  & Tráfico = 1 & TipoVuelo = 1 & Movimiento = 1 ). 
VARIABLE LABELS filter_$ 'Segmento=1  & Tráfico = 1 & TipoVuelo = 1 & Movimiento = 1  (FILTER)'. 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$. 
EXECUTE.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=Región
 /Entrados=SUM(Total).


COMPUTE PorcentE= (Total/Entrados)*100.
FORMATS PorcentE (F8.2).
VARIABLE LABELS PorcentE 'Participación Pasajeros Entrados (%)'.
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Región Origen TOTAL PorcentE DISPLAY=LABEL 
  /TABLE Región [C] > Origen BY TOTAL [S][SUM] + PorcentE [S][SUM] 
  /CATEGORIES VARIABLES=Región ORDER=A KEY=VALUE EMPTY=EXCLUDE 
  /CATEGORIES VARIABLES=Origen ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.


*SALIDA DE PASAJEROS*

USE ALL. 
COMPUTE filter_$=(Segmento=1  & Tráfico = 1 & TipoVuelo = 1 & Movimiento = 2 ). 
VARIABLE LABELS filter_$ 'Segmento=1  & Tráfico = 1 & TipoVuelo = 1 & Movimiento = 2  (FILTER)'. 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$. 
EXECUTE.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=Región
 /Salidos=SUM(Total).


COMPUTE PorcentS= (Total/Salidos)*100.
FORMATS PorcentS (F8.2).
VARIABLE LABELS PorcentS 'Participación Pasajeros Salidos (%)'.
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Región Destino TOTAL PorcentS DISPLAY=LABEL 
  /TABLE Región [C] > Destino BY TOTAL [S][SUM] + PorcentS [S][SUM] 
  /CATEGORIES VARIABLES=Región ORDER=A KEY=VALUE EMPTY=EXCLUDE 
  /CATEGORIES VARIABLES=Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.

DELETE VARIABLES   Región.
DELETE VARIABLES   Entrados.
DELETE VARIABLES   PorcentE.
DELETE VARIABLES   Salidos.
DELETE VARIABLES   PorcentS.

USE ALL.


*******C28*******

***NO REGULAR PASAJEROS ENTRADOS*

USE ALL. 
COMPUTE filter_$=(TipoVuelo = 2  &  Segmento = 1   &  Tráfico = 1  &   Movimiento = 1 ). 
VARIABLE LABELS filter_$ 'TipoVuelo = 1  &  Segmento = 1   &  Tráfico = 1  &   Movimiento = 1  '+ 
    '(FILTER)'. 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$. 
EXECUTE. 

CTABLES 
  /VLABELS VARIABLES=Origen Destino TOTAL DISPLAY=LABEL 
  /TABLE Origen BY Destino > TOTAL [SUM] 
  /CATEGORIES VARIABLES=Origen Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.


***NO REGULAR PASAJEROS SALIDOS*

USE ALL. 
COMPUTE filter_$=(TipoVuelo = 2  &  Segmento = 1   &  Tráfico = 1  &   Movimiento = 2 ). 
VARIABLE LABELS filter_$ 'TipoVuelo = 1  &  Segmento = 1   &  Tráfico = 1  &   Movimiento = 1  '+ 
    '(FILTER)'. 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$. 
EXECUTE.

 
CTABLES 
  /VLABELS VARIABLES=Destino Origen TOTAL DISPLAY=LABEL 
  /TABLE Destino [C] BY Origen [C] > TOTAL [S][SUM] 
  /CATEGORIES VARIABLES=Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=Origen ORDER=A KEY=LABEL EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL NO REGULAR: ENTRADA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO, GUAYAQUIL,'
                     'MANTA Y SANTA ROSA, AÑO 2022'
                     'POR CIUDADES DE ORIGEN Y DESTINO'
                     '(Número)'
       CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                        'Fuente: Dirección General de Aviación Civil - 2022'.

USE ALL.

*******C29*******

*ENTRADA REGULAR CARGA*

USE ALL.
COMPUTE filter_$=(Segmento = 2 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1). 
VARIABLE LABELS filter_$ 'Segmento = 2 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1 (FILTER)'. 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$. 
EXECUTE. 


CTABLES 
  /VLABELS VARIABLES=Origen Destino TOTAL DISPLAY=LABEL 
  /TABLE Origen [C] BY Destino [C] > TOTAL [S][SUM] 
  /CATEGORIES VARIABLES=Origen Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: ENTRADA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.

*SALIDA REGULAR CARGA*

FILTER OFF.
USE ALL.

COMPUTE filter_$=(Segmento = 2 & Tráfico = 1 & Movimiento = 2 & TipoVuelo = 1). 
VARIABLE LABELS filter_$ 'Segmento = 2 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1 (FILTER)'. 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$. 
EXECUTE. 


CTABLES 
  /VLABELS VARIABLES=Destino Origen TOTAL DISPLAY=LABEL 
  /TABLE Destino [C] BY Origen [C] > TOTAL [S][SUM] 
  /CATEGORIES VARIABLES=Destino Origen ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.


*******C30*******

*ENTRADA NO REGULAR CARGA*

USE ALL.
COMPUTE filter_$=(Segmento = 2 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 2). 
VARIABLE LABELS filter_$ 'Segmento = 2 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1 (FILTER)'. 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$. 
EXECUTE. 


CTABLES 
  /VLABELS VARIABLES=Origen Destino TOTAL DISPLAY=LABEL 
  /TABLE Origen [C] BY Destino [C] > TOTAL [S][SUM] 
  /CATEGORIES VARIABLES=Origen Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: ENTRADA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.

*SALIDA NO REGULAR CARGA*

FILTER OFF.
USE ALL.

COMPUTE filter_$=(Segmento = 2 & Tráfico = 1 & Movimiento = 2 & TipoVuelo = 2). 
VARIABLE LABELS filter_$ 'Segmento = 2 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1 (FILTER)'. 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$. 
EXECUTE. 


CTABLES 
  /VLABELS VARIABLES=Destino Origen TOTAL DISPLAY=LABEL 
  /TABLE Destino [C] BY Origen [C] > TOTAL [S][SUM] 
  /CATEGORIES VARIABLES=Destino Origen ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.

FILTER OFF.
USE ALL.


*******C31 y C32*******
***TRANSPORTE AÉREO INTERNACIONAL REGULAR Y NO REGULAR DE PASAJEROS EN TRÁNSITO SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL***
****Los cuadros se encuentran disponibles en los tabulados***


*******C33*******
***REGULAR***
*ENTRADOS A. QUITO*

USE ALL. 
COMPUTE filter_$=(Segmento = 1 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1  &  Destino = 
    'Quito'). 
VARIABLE LABELS filter_$ "Segmento = 1 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1  &  "+ 
    "Destino = 'Quito' (FILTER)". 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=Destino
 /EntradosQ=SUM(Total).

COMPUTE PorcentQE= (Total/EntradosQ)*100.
FORMATS PorcentQE (F8.2).
VARIABLE LABELS PorcentQE 'Participación Pasajeros Entrados a Quito (%)'.
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Origen Destino TOTAL PorcentQ DISPLAY=LABEL 
  /TABLE Origen [C] > Destino [C] BY TOTAL [S][SUM] + PorcentQ [SUM] 
  /CATEGORIES VARIABLES=Origen ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.

****SALIDOS A. QUITO*

USE ALL. 
COMPUTE filter_$=(Segmento = 1 & Tráfico = 1 & Movimiento = 2 & TipoVuelo = 1  &  Origen = 
    'Quito'). 
VARIABLE LABELS filter_$ "Segmento = 1 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1  &  "+ 
    "Destino = 'Quito' (FILTER)". 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=Origen
 /SalidosQ=SUM(Total).

COMPUTE PorcentQS= (Total/SalidosQ)*100.
FORMATS PorcentQS (F8.2).
VARIABLE LABELS PorcentQS 'Participación Pasajeros Salidos a Quito (%)'.
EXECUTE.


CTABLES 
  /VLABELS VARIABLES=Destino Origen  TOTAL PorcentQS DISPLAY=LABEL 
  /TABLE Destino [C] > Origen [C] BY TOTAL [S][SUM] + PorcentQS [SUM] 
  /CATEGORIES VARIABLES=Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=Origen ORDER=A KEY=VALUE EMPTY=EXCLUDE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.


*******C33*******
***REGULAR*
*ENTRADOS A. QUITO*

USE ALL. 
COMPUTE filter_$=(Segmento = 1 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1  &  Destino = 
    'Quito'). 
VARIABLE LABELS filter_$ "Segmento = 1 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1  &  "+ 
    "Destino = 'Quito' (FILTER)". 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=Destino
 /EntradosQ=SUM(Total).

COMPUTE PorcentQE= (Total/EntradosQ)*100.
FORMATS PorcentQE (F8.2).
VARIABLE LABELS PorcentQE 'Participación Pasajeros Entrados a Quito (%)'.
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Origen Destino TOTAL PorcentQE DISPLAY=LABEL 
  /TABLE Origen [C] > Destino [C] BY TOTAL [S][SUM] + PorcentQE [SUM] 
  /CATEGORIES VARIABLES=Origen ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.

****SALIDOS A. QUITO*

USE ALL. 
COMPUTE filter_$=(Segmento = 1 & Tráfico = 1 & Movimiento = 2 & TipoVuelo = 1  &  Origen = 
    'Quito'). 
VARIABLE LABELS filter_$ "Segmento = 1 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1  &  "+ 
    "Destino = 'Quito' (FILTER)". 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=Origen
 /SalidosQ=SUM(Total).

COMPUTE PorcentQS= (Total/SalidosQ)*100.
FORMATS PorcentQS (F8.2).
VARIABLE LABELS PorcentQS 'Participación Pasajeros Salidos a Quito (%)'.
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Destino Origen  TOTAL PorcentQS DISPLAY=LABEL 
  /TABLE Destino [C] > Origen [C] BY TOTAL [S][SUM] + PorcentQS [SUM] 
  /CATEGORIES VARIABLES=Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=Origen ORDER=A KEY=VALUE EMPTY=EXCLUDE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.

USE ALL. 

DELETE VARIABLES SalidosQ.
DELETE VARIABLES PorcentQS.
DELETE VARIABLES EntradosQ.
DELETE VARIABLES PorcentQE.

*******C34*******
***REGULAR***
*ENTRADOS A. GUAYAQUIL*

COMPUTE filter_$=(Segmento = 1 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1  &  Destino = 
    'Guayaquil'). 
VARIABLE LABELS filter_$ "Segmento = 1 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1  &  "+ 
    "Destino = 'Guayaquil' (FILTER)". 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=Destino
 /EntradosG=SUM(Total).

COMPUTE PorcentGE= (Total/EntradosG)*100.
FORMATS PorcentGE (F8.2).
VARIABLE LABELS PorcentGE 'Participación Pasajeros Entrados a Guayaquil (%)'.
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Origen Destino TOTAL PorcentGE DISPLAY=LABEL 
  /TABLE Origen [C] > Destino [C] BY TOTAL [S][SUM] + PorcentGE [SUM] 
  /CATEGORIES VARIABLES=Origen ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.

****SALIDOS A. Guayaquil*

USE ALL. 
COMPUTE filter_$=(Segmento = 1 & Tráfico = 1 & Movimiento = 2 & TipoVuelo = 1  &  Origen = 
    'Guayaquil'). 
VARIABLE LABELS filter_$ "Segmento = 1 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1  &  "+ 
    "Destino = 'Guayaquil' (FILTER)". 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=Origen
 /SalidosG=SUM(Total).

COMPUTE PorcentGS= (Total/SalidosG)*100.
FORMATS PorcentGS (F8.2).
VARIABLE LABELS PorcentGS 'Participación Pasajeros Salidos a Guayaquil (%)'.
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Destino Origen  TOTAL PorcentGS DISPLAY=LABEL 
  /TABLE Destino [C] > Origen [C] BY TOTAL [S][SUM] + PorcentGS [SUM] 
  /CATEGORIES VARIABLES=Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=Origen ORDER=A KEY=VALUE EMPTY=EXCLUDE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.

USE ALL.

DELETE VARIABLES EntradosG.
DELETE VARIABLES PorcentGE.
DELETE VARIABLES SalidosG.
DELETE VARIABLES PorcentGS.


*******C35*******
***NO REGULAR*
*ENTRADOS A. QUITO*

USE ALL. 
COMPUTE filter_$=(Segmento = 1 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 2  &  Destino = 
    'Quito'). 
VARIABLE LABELS filter_$ "Segmento = 1 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1  &  "+ 
    "Destino = 'Quito' (FILTER)". 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=Destino
 /EntradosQ=SUM(Total).

COMPUTE PorcentQE= (Total/EntradosQ)*100.
FORMATS PorcentQE (F8.2).
VARIABLE LABELS PorcentQE 'Participación Pasajeros Entrados a Quito (%)'.
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Origen Destino TOTAL PorcentQE DISPLAY=LABEL 
  /TABLE Origen [C] > Destino [C] BY TOTAL [S][SUM] + PorcentQE [SUM] 
  /CATEGORIES VARIABLES=Origen ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.

****SALIDOS A. QUITO*

USE ALL. 
COMPUTE filter_$=(Segmento = 1 & Tráfico = 1 & Movimiento = 2 & TipoVuelo = 2  &  Origen = 
    'Quito'). 
VARIABLE LABELS filter_$ "Segmento = 1 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1  &  "+ 
    "Destino = 'Quito' (FILTER)". 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=Origen
 /SalidosQ=SUM(Total).

COMPUTE PorcentQS= (Total/SalidosQ)*100.
FORMATS PorcentQS (F8.2).
VARIABLE LABELS PorcentQS 'Participación Pasajeros Salidos a Quito (%)'.
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Destino Origen  TOTAL PorcentQS DISPLAY=LABEL 
  /TABLE Destino [C] > Origen [C] BY TOTAL [S][SUM] + PorcentQS [SUM] 
  /CATEGORIES VARIABLES=Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=Origen ORDER=A KEY=VALUE EMPTY=EXCLUDE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.

*******C36*******
***NO REGULAR***
*ENTRADOS A. GUAYAQUIL*

USE ALL. 
COMPUTE filter_$=(Segmento = 1 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 2  &  Destino = 
    'Guayaquil'). 
VARIABLE LABELS filter_$ "Segmento = 1 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1  &  "+ 
    "Destino = 'Guayaquil' (FILTER)". 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=Destino
 /EntradosG=SUM(Total).

COMPUTE PorcentGE= (Total/EntradosG)*100.
FORMATS PorcentGE (F8.2).
VARIABLE LABELS PorcentGE 'Participación Pasajeros Entrados a Guayaquil (%)'.
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Origen Destino TOTAL PorcentGE DISPLAY=LABEL 
  /TABLE Origen [C] > Destino [C] BY TOTAL [S][SUM] + PorcentGE [SUM] 
  /CATEGORIES VARIABLES=Origen ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.

****SALIDOS A. Guayaquil*

USE ALL. 
COMPUTE filter_$=(Segmento = 1 & Tráfico = 1 & Movimiento = 2 & TipoVuelo = 2  &  Origen = 
    'Guayaquil'). 
VARIABLE LABELS filter_$ "Segmento = 1 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1  &  "+ 
    "Destino = 'Guayaquil' (FILTER)". 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$.


AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=Origen
 /SalidosG=SUM(Total).


COMPUTE PorcentGS= (Total/SalidosG)*100.
FORMATS PorcentGS (F8.2).
VARIABLE LABELS PorcentGS 'Participación Pasajeros Salidos a Guayaquil (%)'.
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Destino Origen  TOTAL PorcentGS DISPLAY=LABEL 
  /TABLE Destino [C] > Origen [C] BY TOTAL [S][SUM] + PorcentGS [SUM] 
  /CATEGORIES VARIABLES=Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=Origen ORDER=A KEY=VALUE EMPTY=EXCLUDE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.

USE ALL.

DELETE VARIABLES SalidosQ.
DELETE VARIABLES PorcentQS.
DELETE VARIABLES EntradosQ.
DELETE VARIABLES PorcentQE.
DELETE VARIABLES EntradosG.
DELETE VARIABLES PorcentGE.
DELETE VARIABLES SalidosG.
DELETE VARIABLES PorcentGS.


*******C37*******
***NO REGULAR***
****SALIDOS A. Manta*

USE ALL. 
COMPUTE filter_$=(Segmento = 1 & Tráfico = 1 & Movimiento = 2 & TipoVuelo = 2  &  Origen = 
    'Manta'). 
VARIABLE LABELS filter_$ "Segmento = 1 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1  &  "+ 
    "Destino = 'Manta' (FILTER)". 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=Origen
 /SalidosM=SUM(Total).

COMPUTE PorcentMS= (Total/SalidosM)*100.
FORMATS PorcentMS (F8.2).
VARIABLE LABELS PorcentMS 'Participación Pasajeros Salidos a Guayaquil (%)'.
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Destino Origen  TOTAL PorcentMS DISPLAY=LABEL 
  /TABLE Destino [C] > Origen [C] BY TOTAL [S][SUM] + PorcentMS [SUM] 
  /CATEGORIES VARIABLES=Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=Origen ORDER=A KEY=VALUE EMPTY=EXCLUDE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.

USE ALL.

*******C38*******
***NO REGULAR***
****SALIDOS A. SANTA ROSA*

USE ALL. 
COMPUTE filter_$=(Segmento = 1 & Tráfico = 1 & Movimiento = 2 & TipoVuelo = 2  &  Origen = 
    'Santa Rosa'). 
VARIABLE LABELS filter_$ "Segmento = 1 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1  &  "+ 
    "Destino = 'Manta' (FILTER)". 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=Origen
 /SalidosSR=SUM(Total).

COMPUTE PorcentSS= (Total/SalidosSR)*100.
FORMATS PorcentSS (F8.2).
VARIABLE LABELS PorcentSS 'Participación Pasajeros Salidos a Guayaquil (%)'.
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Destino Origen  TOTAL PorcentSS DISPLAY=LABEL 
  /TABLE Destino [C] > Origen [C] BY TOTAL [S][SUM] + PorcentSS [SUM] 
  /CATEGORIES VARIABLES=Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=Origen ORDER=A KEY=VALUE EMPTY=EXCLUDE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.

USE ALL.

DELETE VARIABLES EntradosM.
DELETE VARIABLES PorcentME.
DELETE VARIABLES SalidosM.
DELETE VARIABLES PorcentMS.
DELETE VARIABLES SalidosSR.
DELETE VARIABLES PorcentSS.


*******C39*******
***REGULAR CARGA*
****ENTRADOS A. QUITO*

USE ALL. 
COMPUTE filter_$=(Segmento = 2 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1  &  Destino = 
    'Quito'). 
VARIABLE LABELS filter_$ "Segmento = 2 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1  &  "+ 
    "Destino = 'Quito' (FILTER)". 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=Destino
 /CEntQ=SUM(Total).

COMPUTE PorcentCQE= (Total/CEntQ)*100.
FORMATS PorcentCQE (F8.2).
VARIABLE LABELS PorcentCQE 'Participación Carga Entrada a Quito (%)'.
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Origen Destino TOTAL PorcentCQE DISPLAY=LABEL 
  /TABLE Origen [C] > Destino [C] BY TOTAL [S][SUM] + PorcentCQE [SUM] 
  /CATEGORIES VARIABLES=Origen ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.

****CARGA SALIDA A. QUITO*

USE ALL. 
COMPUTE filter_$=(Segmento = 2 & Tráfico = 1 & Movimiento = 2 & TipoVuelo = 1  &  Origen = 
    'Quito'). 
VARIABLE LABELS filter_$ "Segmento = 2 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1  &  "+ 
    "Destino = 'Quito' (FILTER)". 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=Origen
 /CSalQ=SUM(Total).

COMPUTE PorcentCQS= (Total/CSalQ)*100.
FORMATS PorcentCQS (F8.2).
VARIABLE LABELS PorcentCQS 'Participación Pasajeros Salidos a Quito (%)'.
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Destino Origen  TOTAL PorcentCQS DISPLAY=LABEL 
  /TABLE Destino [C] > Origen [C] BY TOTAL [S][SUM] + PorcentCQS [SUM] 
  /CATEGORIES VARIABLES=Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=Origen ORDER=A KEY=VALUE EMPTY=EXCLUDE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.


USE ALL. 

DELETE VARIABLES CEntQ.
DELETE VARIABLES PorcentCQE.
DELETE VARIABLES CSalQ.
DELETE VARIABLES PorcentCQS.


*******C40*******
***REGULAR CARGA***
****ENTRADOS A. GUAYAQUIL*

COMPUTE filter_$=(Segmento = 2 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1  &  Destino = 
    'Guayaquil'). 
VARIABLE LABELS filter_$ "Segmento = 2 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1  &  "+ 
    "Destino = 'Guayaquil' (FILTER)". 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=Destino
 /CEntG=SUM(Total).

COMPUTE PorcentCGE= (Total/CEntG)*100.
FORMATS PorcentCGE (F8.2).
VARIABLE LABELS PorcentCGE 'Participación Pasajeros Entrados a Guayaquil (%)'.
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Origen Destino TOTAL PorcentCGE DISPLAY=LABEL 
  /TABLE Origen [C] > Destino [C] BY TOTAL [S][SUM] + PorcentCGE [SUM] 
  /CATEGORIES VARIABLES=Origen ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.

****SALIDOS A. Guayaquil*

USE ALL. 
COMPUTE filter_$=(Segmento = 2 & Tráfico = 1 & Movimiento = 2 & TipoVuelo = 1  &  Origen = 
    'Guayaquil'). 
VARIABLE LABELS filter_$ "Segmento = 2 & Tráfico = 1 & Movimiento = 1 & TipoVuelo = 1  &  "+ 
    "Destino = 'Guayaquil' (FILTER)". 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=Origen
 /CSalG=SUM(Total).

COMPUTE PorcentCGS= (Total/CSalG)*100.
FORMATS PorcentCGS (F8.2).
VARIABLE LABELS PorcentCGS 'Participación Pasajeros Salidos a Guayaquil (%)'.
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Destino Origen  TOTAL PorcentCGS DISPLAY=LABEL 
  /TABLE Destino [C] > Origen [C] BY TOTAL [S][SUM] + PorcentCGS [SUM] 
  /CATEGORIES VARIABLES=Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
  /CATEGORIES VARIABLES=Origen ORDER=A KEY=VALUE EMPTY=EXCLUDE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.

USE ALL.

DELETE VARIABLES CEntG.
DELETE VARIABLES PorcentCGE.
DELETE VARIABLES CSalG.
DELETE VARIABLES PorcentCGS.
DELETE VARIABLES    filter_$.



*****Tabulados tráfico Aéreo Doméstico o Nacional***

*******C41*******

USE ALL. 
COMPUTE Doméstico=(Tráfico = 2 & Segmento = 1 & TipoVuelo = 1). 
VARIABLE LABELS Doméstico 'Tráfico = 2 & Segmento = 1 & TipoVuelo = 1 (FILTER)'. 
VALUE LABELS Doméstico 0 'Not Selected' 1 'Selected'. 
FORMATS Doméstico(f1.0). 
FILTER BY Doméstico. 
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Origen Destino TOTAL DISPLAY=LABEL 
  /TABLE Origen [C] BY Destino [C] > TOTAL [S][SUM] 
  /CATEGORIES VARIABLES=Origen Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.


*******C42*******

USE ALL. 
COMPUTE Doméstico=(Tráfico = 2 & Segmento = 1 & TipoVuelo = 2). 
VARIABLE LABELS Doméstico 'Tráfico = 2 & Segmento = 1 & TipoVuelo = 2 (FILTER)'. 
VALUE LABELS Doméstico 0 'Not Selected' 1 'Selected'. 
FORMATS Doméstico(f1.0). 
FILTER BY Doméstico. 
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Origen Destino TOTAL DISPLAY=LABEL 
  /TABLE Origen [C] BY Destino [C] > TOTAL [S][SUM] 
  /CATEGORIES VARIABLES=Origen Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.


*******C43*******

USE ALL. 
COMPUTE Doméstico=(Tráfico = 2 & Segmento = 2 & TipoVuelo = 1). 
VARIABLE LABELS Doméstico 'Tráfico = 2 & Segmento = 2 & TipoVuelo = 2 (FILTER)'. 
VALUE LABELS Doméstico 0 'Not Selected' 1 'Selected'. 
FORMATS Doméstico(f1.0). 
FILTER BY Doméstico. 
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Origen Destino TOTAL DISPLAY=LABEL 
  /TABLE Origen [C] BY Destino [C] > TOTAL [S][SUM] 
  /CATEGORIES VARIABLES=Origen Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.


*******C44*******

USE ALL. 
COMPUTE Doméstico=(Tráfico = 2 & Segmento = 2 & TipoVuelo = 2). 
VARIABLE LABELS Doméstico 'Tráfico = 2 & Segmento = 2 & TipoVuelo = 2 (FILTER)'. 
VALUE LABELS Doméstico 0 'Not Selected' 1 'Selected'. 
FORMATS Doméstico(f1.0). 
FILTER BY Doméstico. 
EXECUTE.

CTABLES 
  /VLABELS VARIABLES=Origen Destino TOTAL DISPLAY=LABEL 
  /TABLE Origen [C] BY Destino [C] > TOTAL [S][SUM] 
  /CATEGORIES VARIABLES=Origen Destino ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE 
 /TITLES
           TITLE='TRANSPORTE AÉREO INTERNACIONAL REGULAR: SALIDA DE PASAJEROS SEGÚN AEROPUERTOS DE QUITO Y GUAYAQUIL, AÑO 2022'
           'POR CIUDADES DE ORIGEN Y DESTIN'
           '(Número)'
           CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                           'Fuente: Dirección General de Aviación Civil - 2022'.


DELETE VARIABLES    Doméstico.





